NSX-T Data Center REST API

Update Segment Real Time Eth Profile Binding Map

API will update Segment Real Time Eth Profile Binding Map. For objects with no binding maps, default profile is applied.

Request:

Method:
PUT
URI Path(s):
/policy/api/v1/infra/segments/{segment-id}/segment-real-time-eth-profile-binding-maps/{segment-real-time-eth-profile-binding-map-id}
/policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/segments/{segment-id}/segment-real-time-eth-profile-binding-maps/{segment-real-time-eth-profile-binding-map-id}
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
SegmentRealTimeEthProfileBindingMap+

Example Request:

PUT https://<nsx-mgr>/policy/api/v1/infra/segments/segment_1/segment-real-time-eth-profile-binding-maps/1 { "resource_type":" SegmentRealTimeEthProfileBindingMap", "display_name":"1", "description":"", "real_time_eth_profile_path":"/infra/real_time_eth_profiles/1" }

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
SegmentRealTimeEthProfileBindingMap+

Example Response:

{ "resource_type": "SegmentRealTimeEthProfileBindingMap", "description": "", "display_name":"1", "id":"1", "path": "/infra/segments/segment_1/segment-real-time-eth-profile-binding-maps/1", "relative_path": "1", "real_time_eth_profile_path":"/infra/real_time_eth_profiles/1", "_create_user": "admin", "_create_time": 1516657975538, "_last_modified_user": "admin", "_last_modified_time": 1517353711231, "_system_owned": false, "_revision": 1 }

Required Permissions:

crud

Feature:

policy_segment

Additional Errors: